Package com.jangular.backend.repository

# Interface RefreshTokenRepository

All Superinterfaces:
  `org.springframework.data.repository.CrudRepository<RefreshToken,Long>`, `org.springframework.data.jpa.repository.JpaRepository<RefreshToken,Long>`, `org.springframework.data.repository.ListCrudRepository<RefreshToken,Long>`, `org.springframework.data.repository.ListPagingAndSortingRepository<RefreshToken,Long>`, `org.springframework.data.repository.PagingAndSortingRepository<RefreshToken,Long>`, `org.springframework.data.repository.query.QueryByExampleExecutor<RefreshToken>`, `org.springframework.data.repository.Repository<RefreshToken,Long>`

public interface RefreshTokenRepository extends org.springframework.data.jpa.repository.JpaRepository<RefreshToken,Long>

## Method Summary

Modifier and Type
Method
Description
`void`
`deleteByToken(String token)`
`void`
`deleteByUser(User user)`
`Optional<RefreshToken>`
`findByToken(String token)`
`Optional<RefreshToken>`
`findByUser(User user)`

### Methods inherited from interface org.springframework.data.repository.CrudRepository

`count, delete, deleteAll, deleteAll, deleteAllById, deleteById, existsById, findById, save`

### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

`deleteAllByIdInBatch, deleteAllInBatch, deleteAllInBatch, deleteInBatch, findAll, findAll, flush, getById, getOne, getReferenceById, saveAllAndFlush, saveAndFlush`

### Methods inherited from interface org.springframework.data.repository.ListCrudRepository

`findAll, findAllById, saveAll`

### Methods inherited from interface org.springframework.data.repository.ListPagingAndSortingRepository

`findAll`

### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

`findAll`

### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

`count, exists, findAll, findBy, findOne`

## Method Details

### findByToken

Optional<RefreshToken> findByToken(String token)

### findByUser

Optional<RefreshToken> findByUser(User user)

### deleteByToken

void deleteByToken(String token)

### deleteByUser

void deleteByUser(User user)